#ifndef STools_h
#define STools_h
#include <Arduino.h>

/*
This library contains various convenient solutions for various tasks.
The name STools stands for Smart Tools, which translates as "Useful Tools."
At the moment the library is in the process of development and is actively expanding.
Developed: Suhodolov Michael Mail: skaldek@mail.ru
*/

class STools{
	public:
	
	STools(int pin, int samples, int bcoeff);
	STools(float min, float max);
	STools(int pin);
	STools();		
		
	String printLink();
	bool isPressed();
	bool isHold();
	float tempC();
	float tempF();
	float readVcc();
	int readBattery();
	private:
	
	String ip;
	int _PIN;
	int _samples;
	int _bcoeff;
	int *_samplesarr = new int[_samples];
	int i;
    float average;
	float temperature;
	unsigned long int lastpresstime;
	bool button;
	bool button_flag;
	bool hold_flag;
	float resultVcc;
	uint8_t lowVcc; 
    uint8_t highVcc;
    float batteryP;
	float _MIN;
	float _MAX;
	void BPress();
};

#endif